unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls,
  Spin;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    ComboBox1: TComboBox;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    MainPanel: TPanel;
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    CheckGroup1: TCheckGroup;
    SpinEdit1: TSpinEdit;
    procedure CheckBox1Change(Sender: TObject);
    procedure CheckBox2Change(Sender: TObject);
    procedure CheckGroup1ItemClick(Sender: TObject; Index: integer);
    procedure FormCreate(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
var
  i: Integer;
begin
  for i := 0 to CheckGroup1.Items.Count -1 do
    CheckGroup1.Checked[i] := true;
  SpinEdit1.Value := Panel3.Height;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  Panel3.Constraints.MinHeight := SpinEdit1.Value;
end;

procedure TForm1.CheckGroup1ItemClick(Sender: TObject; Index: integer);
begin
  Panel1.Visible := CheckGroup1.Checked[0];
  Panel2.Visible := CheckGroup1.Checked[1];
  Panel3.Visible := CheckGroup1.Checked[2];
end;

procedure TForm1.CheckBox1Change(Sender: TObject);
begin
  Button1.Visible := Checkbox1.Checked;
end;

procedure TForm1.CheckBox2Change(Sender: TObject);
begin
  Edit2.Visible := Checkbox2.Checked;
end;

end.

